Index: utils/tools_AGRIF_CMEMS_2020/DOMAINcfg/src/par_oce.f90
===================================================================
--- utils/tools_AGRIF_CMEMS_2020/DOMAINcfg/src/par_oce.f90	(revision 10082)
+++ utils/tools_AGRIF_CMEMS_2020/DOMAINcfg/src/par_oce.f90	(revision 10727)
@@ -13,4 +13,71 @@
    PUBLIC
 
+   ! zoom starting position
+   INTEGER       ::   jpizoom          !: left bottom (i,j) indices of the zoom
+   INTEGER       ::   jpjzoom          !: in data domain indices
+
+  CHARACTER(lc) ::   cp_cfg           !: name of the configuration
+   CHARACTER(lc) ::   cp_cfz           !: name of the zoom of configuration
+   INTEGER       ::   jp_cfg           !: resolution of the configuration
+
+   ! data size                                       !!! * size of all input files *
+   INTEGER       ::   jpidta           !: 1st lateral dimension ( >= jpi )
+   INTEGER       ::   jpjdta           !: 2nd    "         "    ( >= jpj )
+   INTEGER       ::   jpkdta           !: number of levels      ( >= jpk )
+   LOGICAL       ::   ln_e3_dep        ! e3. definition flag
+   REAL(wp)      ::   pp_not_used       = 999999._wp   !: vertical grid parameter
+   REAL(wp)      ::   pp_to_be_computed = 999999._wp   !:    -      -       -
+   !!----------------------------------------------------------------------
+   !!                   namcfg namelist parameters
+   !!----------------------------------------------------------------------
+   LOGICAL       ::   ln_read_cfg      !: (=T) read the domain configuration file or (=F) not
+   CHARACTER(lc) ::      cn_domcfg        !: filename the configuration file to be read
+   LOGICAL       ::   ln_write_cfg     !: (=T) create the domain configuration file
+   CHARACTER(lc) ::      cn_domcfg_out    !: filename the configuration file to be read
+   !
+   LOGICAL       ::   ln_use_jattr     !: input file read offset
+   !                                   !  Use file global attribute: open_ocean_jstart to determine start j-row 
+   !                                   !  when reading input from those netcdf files that have the 
+   !                                   !  attribute defined. This is designed to enable input files associated 
+   !                                   !  with the extended grids used in the under ice shelf configurations to 
+   !                                   !  be used without redundant rows when the ice shelves are not in use.
+   ! 
+
+   !!---------------------------------------------------------------------
+   !! Domain Matrix size 
+   !!---------------------------------------------------------------------
+   ! configuration name & resolution   (required only in ORCA family case)
+   CHARACTER(lc) ::   cn_cfg           !: name of the configuration
+   INTEGER       ::   nn_cfg           !: resolution of the configuration 
+
+   ! global domain size               !!! * total computational domain *
+   INTEGER       ::   jpiglo           !: 1st dimension of global domain --> i-direction
+   INTEGER       ::   jpjglo           !: 2nd    -                  -    --> j-direction
+   INTEGER       ::   jpkglo           !: 3nd    -                  -    --> k levels
+
+   ! global domain size for AGRIF     !!! * total AGRIF computational domain *
+   INTEGER, PUBLIC            ::   nbug_in_agrif_conv_do_not_remove_or_modify = 1 - 1
+   INTEGER, PUBLIC, PARAMETER ::   nbghostcells = 3                             !: number of ghost cells
+   INTEGER, PUBLIC            ::   nbcellsx   ! = jpiglo - 2 - 2*nbghostcells   !: number of cells in i-direction
+   INTEGER, PUBLIC            ::   nbcellsy   ! = jpjglo - 2 - 2*nbghostcells   !: number of cells in j-direction
+
+   ! local domain size                !!! * local computational domain *
+   INTEGER, PUBLIC ::   jpi   !                                                    !: first  dimension
+   INTEGER, PUBLIC ::   jpj   !                                                    !: second dimension
+   INTEGER, PUBLIC ::   jpk   ! = jpkglo                                           !: third  dimension
+   INTEGER, PUBLIC ::   jpim1 ! = jpi-1                                            !: inner domain indices
+   INTEGER, PUBLIC ::   jpjm1 ! = jpj-1                                            !:   -     -      -
+   INTEGER, PUBLIC ::   jpkm1 ! = jpk-1                                            !:   -     -      -
+   INTEGER, PUBLIC ::   jpij  ! = jpi*jpj                                          !:  jpi x jpj
+   INTEGER, PUBLIC ::   jpimax! = ( jpiglo-2*nn_hls + (jpni-1) ) / jpni + 2*nn_hls !: maximum jpi
+   INTEGER, PUBLIC ::   jpjmax! = ( jpjglo-2*nn_hls + (jpnj-1) ) / jpnj + 2*nn_hls !: maximum jpj
+
+   !!---------------------------------------------------------------------
+   !! Active tracer parameters
+   !!---------------------------------------------------------------------
+   INTEGER, PUBLIC, PARAMETER ::   jpts   = 2    !: Number of active tracers (=2, i.e. T & S )
+   INTEGER, PUBLIC, PARAMETER ::   jp_tem = 1    !: indice for temperature
+   INTEGER, PUBLIC, PARAMETER ::   jp_sal = 2    !: indice for salinity
+
    !!----------------------------------------------------------------------
    !!   Domain decomposition
@@ -22,81 +89,10 @@
    INTEGER, PUBLIC, PARAMETER ::   jpr2di = 0   !: number of columns for extra outer halo 
    INTEGER, PUBLIC, PARAMETER ::   jpr2dj = 0   !: number of rows    for extra outer halo 
-   INTEGER, PUBLIC, PARAMETER ::   jpreci = 1   !: number of columns for overlap 
-   INTEGER, PUBLIC, PARAMETER ::   jprecj = 1   !: number of rows    for overlap 
-
-   !!----------------------------------------------------------------------
-   !!                   namcfg namelist parameters
-   !!----------------------------------------------------------------------
-   !
-   LOGICAL       ::   ln_e3_dep        ! e3. definition flag
-   !
-   CHARACTER(lc) ::   cp_cfg           !: name of the configuration
-   CHARACTER(lc) ::   cp_cfz           !: name of the zoom of configuration
-   INTEGER       ::   jp_cfg           !: resolution of the configuration
-
-   ! data size                                       !!! * size of all input files *
-   INTEGER       ::   jpidta           !: 1st lateral dimension ( >= jpi )
-   INTEGER       ::   jpjdta           !: 2nd    "         "    ( >= jpj )
-   INTEGER       ::   jpkdta           !: number of levels      ( >= jpk )
-
-   ! global or zoom domain size                      !!! * computational domain *
-   INTEGER       ::   jpiglo           !: 1st dimension of global domain --> i
-   INTEGER       ::   jpjglo           !: 2nd    -                  -    --> j
-
-   ! zoom starting position 
-   INTEGER       ::   jpizoom          !: left bottom (i,j) indices of the zoom
-   INTEGER       ::   jpjzoom          !: in data domain indices
-
-   ! Domain characteristics
-   INTEGER       ::   jperio           !: lateral cond. type (between 0 and 6)
-   !                                       !  = 0 closed                 ;   = 1 cyclic East-West
-   !                                       !  = 2 equatorial symmetric   ;   = 3 North fold T-point pivot
-   !                                       !  = 4 cyclic East-West AND North fold T-point pivot
-   !                                       !  = 5 North fold F-point pivot
-   !                                       !  = 6 cyclic East-West AND North fold F-point pivot
-
-   ! Input file read offset
-   LOGICAL       ::   ln_use_jattr     !: Use file global attribute: open_ocean_jstart to determine start j-row 
-                                           ! when reading input from those netcdf files that have the 
-                                           ! attribute defined. This is designed to enable input files associated 
-                                           ! with the extended grids used in the under ice shelf configurations to 
-                                           ! be used without redundant rows when the ice shelves are not in use.
-
-   !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
-   !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
-   REAL(wp)      ::   pp_not_used       = 999999._wp   !: vertical grid parameter
-   REAL(wp)      ::   pp_to_be_computed = 999999._wp   !:    -      -       -
-
-
-
-
-   !!---------------------------------------------------------------------
-   !! Active tracer parameters
-   !!---------------------------------------------------------------------
-   INTEGER, PUBLIC, PARAMETER ::   jpts   = 2    !: Number of active tracers (=2, i.e. T & S )
-   INTEGER, PUBLIC, PARAMETER ::   jp_tem = 1    !: indice for temperature
-   INTEGER, PUBLIC, PARAMETER ::   jp_sal = 2    !: indice for salinity
-
-   !!---------------------------------------------------------------------
-   !! Domain Matrix size  (if AGRIF, they are not all parameters)
-   !!---------------------------------------------------------------------
-
-
-
-
-
-
-   INTEGER, PUBLIC  ::   jpi   ! = ( jpiglo-2*jpreci + (jpni-1) ) / jpni + 2*jpreci   !: first  dimension
-   INTEGER, PUBLIC  ::   jpj   ! = ( jpjglo-2*jprecj + (jpnj-1) ) / jpnj + 2*jprecj   !: second dimension
-   INTEGER, PUBLIC  ::   jpk   ! = jpkdta
-   INTEGER, PUBLIC  ::   jpim1 ! = jpi-1                                            !: inner domain indices
-   INTEGER, PUBLIC  ::   jpjm1 ! = jpj-1                                            !:   -     -      -
-   INTEGER, PUBLIC  ::   jpkm1 ! = jpk-1                                            !:   -     -      -
-   INTEGER, PUBLIC  ::   jpij  ! = jpi*jpj                                          !:  jpi x jpj
+   INTEGER, PUBLIC, PARAMETER ::   nn_hls = 1   !: halo width (applies to both rows and columns)
 
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id: par_oce.F90 5836 2015-10-26 14:49:40Z cetlod $ 
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! $Id: par_oce.F90 10068 2018-08-28 14:09:04Z nicolasmartin $ 
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!======================================================================
 END MODULE par_oce
